/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/event/signal.hpp>
#include <ox/std/string.hpp>

#include <nostalgia/core/context.hpp>

#include "lib/popup.hpp"

namespace nostalgia {

	class AboutPopup: public studio::Popup {
	public:
		enum class Stage {
			Closed,
			Opening,
			Open,
		};

	private:
		Stage m_stage = Stage::Closed;

	public:
		void open() noexcept override;

		void close() noexcept override;

		[[nodiscard]]
		bool isOpen() const noexcept override;

		void draw(core::Context *ctx) noexcept override;

};

}
